This is flyctl, the Fly.io command line interface.

## Usage
~~~
fly [flags]
~~~

## Available Commands
* [agent](/docs/flyctl/agent/)	 - Commands that manage the Fly agent, a background process that manages flyctl wireguard connections
* [apps](/docs/flyctl/apps/)	 - Manage apps.
* [auth](/docs/flyctl/auth/)	 - Manage authentication
* [certs](/docs/flyctl/certs/)	 - Manage certificates
* [checks](/docs/flyctl/checks/)	 - Manage health checks
* [config](/docs/flyctl/config/)	 - Manage an app's configuration
* [console](/docs/flyctl/console/)	 - Run a console in a new or existing machine
* [consul](/docs/flyctl/consul/)	 - Enable and manage Consul clusters
* [dashboard](/docs/flyctl/dashboard/)	 - Open web browser on Fly Web UI for this app
* [deploy](/docs/flyctl/deploy/)	 - Deploy Fly applications
* [dig](/docs/flyctl/dig/)	 - Make DNS requests against Fly.io's internal DNS server
* [docs](/docs/flyctl/docs/)	 - View Fly documentation
* [doctor](/docs/flyctl/doctor/)	 - The DOCTOR command allows you to debug your Fly environment
* [extensions](/docs/flyctl/extensions/)	 - Extensions are additional functionality that can be added to your Fly apps
* [image](/docs/flyctl/image/)	 - Manage app image
* [incidents](/docs/flyctl/incidents/)	 - Show incidents
* [ips](/docs/flyctl/ips/)	 - Manage IP addresses for apps
* [jobs](/docs/flyctl/jobs/)	 - Show jobs at Fly.io
* [launch](/docs/flyctl/launch/)	 - Create and configure a new app from source code or a Docker image
* [litefs-cloud](/docs/flyctl/litefs-cloud/)	 - LiteFS Cloud management commands
* [logs](/docs/flyctl/logs/)	 - View app logs
* [machine](/docs/flyctl/machine/)	 - Manage Fly Machines.
* [orgs](/docs/flyctl/orgs/)	 - Commands for managing Fly organizations
* [ping](/docs/flyctl/ping/)	 - Test connectivity with ICMP ping messages
* [platform](/docs/flyctl/platform/)	 - Fly platform information
* [postgres](/docs/flyctl/postgres/)	 - Manage Postgres clusters.
* [proxy](/docs/flyctl/proxy/)	 - Proxies connections to a Fly Machine.
* [redis](/docs/flyctl/redis/)	 - Launch and manage Redis databases managed by Upstash.com
* [releases](/docs/flyctl/releases/)	 - List app releases
* [scale](/docs/flyctl/scale/)	 - Scale app resources
* [secrets](/docs/flyctl/secrets/)	 - Manage application secrets with the set and unset commands.
* [services](/docs/flyctl/services/)	 - Show the application's services
* [settings](/docs/flyctl/settings/)	 - Manage flyctl settings
* [sftp](/docs/flyctl/sftp/)	 - Get or put files from a remote VM.
* [ssh](/docs/flyctl/ssh/)	 - Use SSH to log into or run commands on Machines
* [status](/docs/flyctl/status/)	 - Show app status
* [storage](/docs/flyctl/storage/)	 - Provision and manage Tigris object storage buckets
* [tokens](/docs/flyctl/tokens/)	 - Manage Fly.io API tokens
* [version](/docs/flyctl/version/)	 - Show version information for the flyctl command
* [volumes](/docs/flyctl/volumes/)	 - Manage Fly Volumes.
* [wireguard](/docs/flyctl/wireguard/)	 - Commands that manage WireGuard peer connections

## Options

~~~
  -t, --access-token string   Fly API Access Token
      --debug                 Print additional logs and traces
  -h, --help                  help for fly
      --verbose               Verbose output
~~~

## See Also


